> For the complete documentation index, see [llms.txt](https://bound-1.gitbook.io/bound-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://bound-1.gitbook.io/bound-docs/developer-guide/api-reference/diamond-hand.md).

# Diamond Hand

## POST /api/diamond-hand/request-claim-rewards

> Claim diamond hand rewards

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"RequestClaimDiamondHandRewardsDto":{"type":"object","properties":{"userAddress":{"type":"string"},"runeId":{"type":"string"}},"required":["userAddress","runeId"]}}},"paths":{"/api/diamond-hand/request-claim-rewards":{"post":{"operationId":"DiamondHandController_claimDiamondHandRewards","summary":"Claim diamond hand rewards","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RequestClaimDiamondHandRewardsDto"}}}},"responses":{"201":{"description":""}},"tags":["diamond-hand"]}}}}
```

## POST /api/diamond-hand/sign

> Sign and broadcast diamond hand rewards

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"SignAndBroadcastRewardsDto":{"type":"object","properties":{"signedBase64Tx":{"type":"string"},"userAddress":{"type":"string"},"runeId":{"type":"string"}},"required":["signedBase64Tx","userAddress","runeId"]}}},"paths":{"/api/diamond-hand/sign":{"post":{"operationId":"DiamondHandController_signAndBroadcastRewards","summary":"Sign and broadcast diamond hand rewards","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SignAndBroadcastRewardsDto"}}}},"responses":{"201":{"description":""}},"tags":["diamond-hand"]}}}}
```

## GET /api/diamond-hand/wallet-rewards

> Get wallet of diamond hand rewards

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"paths":{"/api/diamond-hand/wallet-rewards":{"get":{"operationId":"DiamondHandController_getWalletRewards","summary":"Get wallet of diamond hand rewards","parameters":[],"responses":{"200":{"description":""}},"tags":["diamond-hand"]}}}}
```

## GET /api/diamond-hand/list

> Get diamond hand list

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"paths":{"/api/diamond-hand/list":{"get":{"operationId":"DiamondHandController_getDiamondHandList","summary":"Get diamond hand list","parameters":[{"name":"page","required":false,"in":"query","description":"Page number (default: 1)","schema":{"type":"number"}},{"name":"pageSize","required":false,"in":"query","description":"Number of items per page (default: 10)","schema":{"type":"number"}},{"name":"sort","required":false,"in":"query","description":"Sort field and order. Use - prefix for descending. Example: -createdAt, createdAt","schema":{"type":"string"}},{"name":"select","required":false,"in":"query","description":"Fields to select (comma separated). Use + prefix to include hidden fields. Example: name,status,+holders","schema":{"type":"string"}},{"name":"populate","required":false,"in":"query","description":"Relations to populate (comma separated). Example: wallet,token","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["diamond-hand"]}}}}
```

## GET /api/diamond-hand/all-users

> Get all diamond hand users

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"paths":{"/api/diamond-hand/all-users":{"get":{"operationId":"DiamondHandController_getAllUsers","summary":"Get all diamond hand users","parameters":[{"name":"runeId","required":true,"in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["diamond-hand"]}}}}
```

## POST /api/diamond-hand/claim-locked-lp-rewards/{runeId}

> Claim locked LP rewards

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/api/diamond-hand/claim-locked-lp-rewards/{runeId}":{"post":{"operationId":"DiamondHandController_claimLockedLPRewards","summary":"Claim locked LP rewards","parameters":[{"name":"runeId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"201":{"description":""}},"tags":["diamond-hand"]}}}}
```

## GET /api/diamond-hand/get-contract-total-lp-fee/{runeId}

> Get contract total LP fee

```json
{"openapi":"3.0.0","info":{"title":"Radfi API","version":"1.0"},"servers":[{"url":"https://api.bound.exchange","description":"Production"}],"paths":{"/api/diamond-hand/get-contract-total-lp-fee/{runeId}":{"get":{"operationId":"DiamondHandController_getContractTotalLPFee","summary":"Get contract total LP fee","parameters":[{"name":"runeId","required":true,"in":"path","schema":{"type":"string"}}],"responses":{"200":{"description":""}},"tags":["diamond-hand"]}}}}
```
